petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESLineSearchReset

Undoes the SNESLineSearchSetUp() and deletes any Vecs or Mats allocated by the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchReset(SNESLineSearch linesearch)

Collective on SNESLineSearch

### Input Parameters

linesearch -The LineSearch instance.

### Notes

Usually only called by SNESReset()

### See Also

SNESGetLineSearch(), SNESLineSearchSetUp()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c

### Implementations

SNESLineSearchReset_NLEQERR in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages